## WebKitDOMDocumentFragment WebKitDOMDocumentFragment |

## Functions

WebKitDOMElement * | webkit_dom_document_fragment_get_element_by_id ()
WebKitDOMElement * | webkit_dom_document_fragment_query_selector ()
WebKitDOMNodeList * | webkit_dom_document_fragment_query_selector_all ()
WebKitDOMHTMLCollection * | webkit_dom_document_fragment_get_children ()
WebKitDOMElement * | webkit_dom_document_fragment_get_first_element_child ()
WebKitDOMElement * | webkit_dom_document_fragment_get_last_element_child ()
gulong | webkit_dom_document_fragment_get_child_element_count ()

## Properties

gulong | child-element-count | Read
WebKitDOMHTMLCollection * | children | Read
WebKitDOMElement * | first-element-child | Read
WebKitDOMElement * | last-element-child | Read

## Types and Values

struct | WebKitDOMDocumentFragment

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocumentFragment

## Implemented Interfaces

WebKitDOMDocumentFragment implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_fragment_get_element_by_id ()

    WebKitDOMElement *
    webkit_dom_document_fragment_get_element_by_id
                                   (WebKitDOMDocumentFragment *self,
                                    const gchar *elementId);

`webkit_dom_document_fragment_get_element_by_id` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |
elementId | A gchar |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_fragment_query_selector ()

    WebKitDOMElement *
    webkit_dom_document_fragment_query_selector
                                   (WebKitDOMDocumentFragment *self,
                                    const gchar *selectors,
                                    GError **error);

`webkit_dom_document_fragment_query_selector` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_fragment_query_selector_all ()

    WebKitDOMNodeList *
    webkit_dom_document_fragment_query_selector_all
                                   (WebKitDOMDocumentFragment *self,
                                    const gchar *selectors,
                                    GError **error);

`webkit_dom_document_fragment_query_selector_all` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMNodeList.

[transfer full]

Since: 2.16

### webkit_dom_document_fragment_get_children ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_fragment_get_children
                                   (WebKitDOMDocumentFragment *self);

`webkit_dom_document_fragment_get_children` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

Since: 2.16

### webkit_dom_document_fragment_get_first_element_child ()

    WebKitDOMElement *
    webkit_dom_document_fragment_get_first_element_child
                                   (WebKitDOMDocumentFragment *self);

`webkit_dom_document_fragment_get_first_element_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_fragment_get_last_element_child ()

    WebKitDOMElement *
    webkit_dom_document_fragment_get_last_element_child
                                   (WebKitDOMDocumentFragment *self);

`webkit_dom_document_fragment_get_last_element_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_document_fragment_get_child_element_count ()

    gulong
    webkit_dom_document_fragment_get_child_element_count
                                   (WebKitDOMDocumentFragment *self);

`webkit_dom_document_fragment_get_child_element_count` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentFragment |

#### Returns

A gulong

Since: 2.16

## Types and Values

### struct WebKitDOMDocumentFragment

    struct WebKitDOMDocumentFragment;

## Property Details

### The `“child-element-count”` property

      “child-element-count”      gulong

read-only gulong DocumentFragment:child-element-count.

Owner: WebKitDOMDocumentFragment

Flags: Read

### The `“children”` property

      “children”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* DocumentFragment:children.

Owner: WebKitDOMDocumentFragment

Flags: Read

### The `“first-element-child”` property

      “first-element-child”      WebKitDOMElement *

read-only WebKitDOMElement* DocumentFragment:first-element-child.

Owner: WebKitDOMDocumentFragment

Flags: Read

### The `“last-element-child”` property

      “last-element-child”       WebKitDOMElement *

read-only WebKitDOMElement* DocumentFragment:last-element-child.

Owner: WebKitDOMDocumentFragment

Flags: Read